---
title: "FreeBSD 8.4-RELEASE Announcement"
sidenav: download
---
include::shared/releases.adoc[]

Date: {rel84-current-date}

++++


    <p>The FreeBSD Release Engineering Team is pleased to announce the
      availability of FreeBSD 8.4-RELEASE.  This is the fifth release
      from the 8-STABLE branch which improves on the functionality of
      FreeBSD 8.3 and introduces some new features.  Some of the
      highlights:</p>

    <ul>
      <li><p>Gnome version 2.32.1, KDE version 4.10.1</p></li>
      <li><p>Feature flags 5000 version of the ZFS filesystem.</p></li>
      <li><p>Support for all shipping LSI storage controllers.</p></li>
    </ul>

    <p>For a complete list of new features and known problems, please see the
      online release notes and errata list, available at:</p>

    <ul>
      <li><p><tt><a href="http://www.FreeBSD.org/releases/8.4R/relnotes.html" shape="rect">http://www.FreeBSD.org/releases/8.4R/relnotes.html</a></tt></p></li>
	<li><p><tt><a href="http://www.FreeBSD.org/releases/8.4R/errata.html" shape="rect">http://www.FreeBSD.org/releases/8.4R/errata.html</a></tt></p></li>
    </ul>

    <p>For more information about FreeBSD release engineering activities,
      please see:</p>

    <ul>
      <li><p><tt><a href="http://www.FreeBSD.org/releng/" shape="rect">http://www.FreeBSD.org/releng/</a></tt></p></li>
    </ul>

    <p>FreeBSD 8.4-RELEASE is now available for the amd64 and i386
      architectures.  Images for the pc98 architecture should be
      available within the next 24 hours.</p>

    <p>FreeBSD 8.4 can be installed from bootable ISO images or over
      the network.  Some architectures (currently amd64 and i386) also
      support installing from a USB memory stick.  The required files
      can be downloaded via FTP as described in the sections below.
      While some of the smaller FTP mirrors may not carry all
      architectures, they will all generally contain the more common
      ones such as amd64 and i386.</p>

    <p>SHA256 and MD5 hashes for the release ISO and memory stick
      images are included at the bottom of this message.</p>

    <p>The purpose of the images provided as part of the release are
      as follows:</p>

    <dl>
      <dt>dvd1:</dt>

      <dd><p>This contains everything necessary to install the base
	  FreeBSD operating system, a collection of pre-built
	  packages, and the documentation.  It also supports booting
	  into a "livefs" based rescue mode.  This should be all you
	  need if you can burn and use DVD-sized media.</p></dd>

      <dt>disc1:</dt>

      <dd><p>This contains the base FreeBSD operating system and the
	  English documentation package for CDROM-sized media.  There
	  are no other packages.</p></dd>

      <dt>livefs:</dt>

      <dd><p>This contains support for booting into a "livefs" based
	  rescue mode but does not support doing an install from the
	  CD itself.  It is meant to help rescue an existing system
	  but could be used to do a network based install if
	  necessary.</p></dd>

      <dt>bootonly:</dt>

      <dd><p>This supports booting a machine using the CDROM drive but
	  does not contain the support for installing FreeBSD from the
	  CD itself.  You would need to perform a network based
	  install (e.g. from an FTP server) after booting from the
	  CD.</p></dd>

      <dt>memstick:</dt>

      <dd><p>This can be written to an USB memory stick (flash drive)
	  and used to do an install on machines capable of booting off
	  USB drives.  It also supports booting into a "livefs" based
	  rescue mode.  The documentation packages are provided but no
	  other packages.</p>

      <p>As one example of how to use the memstick image, assuming the
	USB drive appears as /dev/da0 on your machine something like
	this should work:</p>

      <pre xml:space="preserve"># dd if=FreeBSD-8.4-RELEASE-amd64-memstick.img of=/dev/da0 bs=10240 conv=sync</pre>

      <p>Be careful to make sure you get the target (of=)
	correct.</p></dd>
  </dl>

  <p>FreeBSD 8.4-RELEASE can also be purchased on CD-ROM or DVD from
    several vendors.  One of the vendors that will be offering FreeBSD
    8.4-based products is:</p>

  <ul>
    <li><p>FreeBSD Mall, Inc. <tt><a href="http://www.freebsdmall.com/" shape="rect">http://www.freebsdmall.com/</a></tt></p></li>
  </ul>

  <h2>FTP</h2>

  <p>At the time of this announcement the following FTP sites have
    FreeBSD 8.4-RELEASE available.</p>

  <ul>
    <li><tt><a href="ftp://ftp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp5.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp5.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp10.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp10.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp.cn.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.cn.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp.cz.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.cz.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp.dk.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.dk.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp.fr.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.fr.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp.jp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.jp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp.ru.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.ru.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp1.ru.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp1.ru.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp.tw.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp.tw.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp4.tw.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp4.tw.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp5.us.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp5.us.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
    <li><tt><a href="ftp://ftp10.us.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/" shape="rect">ftp://ftp10.us.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/8.4/</a></tt></li>
  </ul>

  <p>However before trying these sites please check your regional mirror(s)
    first by going to:</p>

  <ul>
    <li><p><tt>ftp://ftp.&lt;yourdomain&gt;.FreeBSD.org/pub/FreeBSD</tt></p></li>
  </ul>

  <p>Any additional mirror sites will be labeled
    <strong>ftp2</strong>, <strong>ftp3</strong> and so on.</p>

  <p>More information about FreeBSD mirror sites can be found at:</p>

  <ul>
    <li><p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html" shape="rect">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt></p></li>
  </ul>

  <p>For instructions on installing FreeBSD or updating an existing
    machine to 8.4-RELEASE please see:</p>

  <ul>
    <li><p><tt><a href="http://www.FreeBSD.org/releases/8.4R/installation.html" shape="rect">http://www.FreeBSD.org/releases/8.4R/installation.html</a></tt></p></li>
  </ul>

  <h2>Support</h2>

  <p>The FreeBSD Security Team currently plans to support FreeBSD 8.4
    until June 30, 2015.  For more information on the Security Team
    and their support of the various FreeBSD branches see:</p>

  <ul>
    <li><p><tt><a href="http://www.FreeBSD.org/security/" shape="rect">http://www.FreeBSD.org/security/</a></tt></p></li>
  </ul>

  <h2>Acknowledgments</h2>

  <p>Many companies donated equipment, network access, or man-hours to
    support the release engineering activities for FreeBSD 8.4
    including The FreeBSD Foundation, Yahoo!, NetApp, Internet Systems
    Consortium, Sentex Communications, New York Internet, Juniper
    Networks, and iXsystems.</p>

  <p>The release engineering team for 8.4-RELEASE includes:</p>

  <table border="0">
    <tbody>
      <tr>
	<td rowspan="1" colspan="1">Josh&nbsp;Paetzel&nbsp;&lt;<a href="mailto:jpaetzel@FreeBSD.org" shape="rect">jpaetzel@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Release Engineering, 8.4-RELEASE Release Engineer</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Ken&nbsp;Smith&nbsp;&lt;<a href="mailto:kensmith@FreeBSD.org" shape="rect">kensmith@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Release Engineering, Release Engineering Team Lead,
	  sparc64 Release Building,
	  Mirror Site Coordination</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Robert&nbsp;Watson&nbsp;&lt;<a href="mailto:rwatson@FreeBSD.org" shape="rect">rwatson@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Release Engineering, Security</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Konstantin&nbsp;Belousov&nbsp;&lt;<a href="mailto:kib@FreeBSD.org" shape="rect">kib@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Marc&nbsp;Fonvieille&nbsp;&lt;<a href="mailto:blackend@FreeBSD.org" shape="rect">blackend@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Release Engineering, Documentation</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Hiroki&nbsp;Sato&nbsp;&lt;<a href="mailto:hrs@FreeBSD.org" shape="rect">hrs@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Release Engineering, Documentation</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Marcus&nbsp;von&nbsp;Appen&nbsp;&lt;<a href="mailto:mva@FreeBSD.org" shape="rect">mva@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Glen&nbsp;Barber&nbsp;&lt;<a href="mailto:gjb@FreeBSD.org" shape="rect">gjb@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Joel&nbsp;Dahl&nbsp;&lt;<a href="mailto:joel@FreeBSD.org" shape="rect">joel@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Steven&nbsp;Kreuzer&nbsp;&lt;<a href="mailto:skreuzer@FreeBSD.org" shape="rect">skreuzer@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Xin&nbsp;Li&nbsp;&lt;<a href="mailto:delphij@FreeBSD.org" shape="rect">delphij@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Craig&nbsp;Rodrigues&nbsp;&lt;<a href="mailto:rodrigc@FreeBSD.org" shape="rect">rodrigc@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Gleb&nbsp;Smirnoff&nbsp;&lt;<a href="mailto:glebius@FreeBSD.org" shape="rect">glebius@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Marius&nbsp;Strobl&nbsp;&lt;<a href="mailto:marius@FreeBSD.org" shape="rect">marius@FreeBSD.org&gt;</a></td>
	<td rowspan="1" colspan="1">Release Engineering</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Takahashi&nbsp;Yoshihiro&nbsp;&lt;<a href="mailto:nyan@FreeBSD.org" shape="rect">nyan@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">PC98 Release Building</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Joe&nbsp;Marcus&nbsp;Clarke&nbsp;&lt;<a href="mailto:marcus@FreeBSD.org" shape="rect">marcus@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Package Building</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Erwin&nbsp;Lansing&nbsp;&lt;<a href="mailto:erwin@FreeBSD.org" shape="rect">erwin@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Package Building</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Mark&nbsp;Linimon&nbsp;&lt;<a href="mailto:linimon@FreeBSD.org" shape="rect">linimon@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Package Building</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Martin&nbsp;Wilke&nbsp;&lt;<a href="mailto:miwi@FreeBSD.org" shape="rect">miwi@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Package Building</td>
      </tr>

      <tr>
	<td rowspan="1" colspan="1">Dag-Erling&nbsp;Sm&oslash;rgrav&nbsp;&lt;<a href="mailto:des@FreeBSD.org" shape="rect">des@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Security Officer</td>
      </tr>
      <tr>
	<td rowspan="1" colspan="1">Colin&nbsp;Percival&nbsp;&lt;<a href="mailto:cperciva@FreeBSD.org" shape="rect">cperciva@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Security Officer Emeritus</td>
      </tr>
      <tr>
	<td rowspan="1" colspan="1">Simon&nbsp;L.&nbsp;B.&nbsp;Nielsen&nbsp;&lt;<a href="mailto:simon@FreeBSD.org" shape="rect">simon@FreeBSD.org</a>&gt;</td>
	<td rowspan="1" colspan="1">Security Officer Emeritus</td>
      </tr>
    </tbody>
  </table>

  <h2>Trademark</h2>

  <p>FreeBSD is a registered trademark of The FreeBSD Foundation.</p>

  <h2>ISO Image Checksums</h2>

  <pre xml:space="preserve">SHA256 (FreeBSD-8.4-RELEASE-amd64-bootonly.iso) = c167d11721c2e505c062ccec4d0923fe18839d56c49e99e0646ab0de04294338
SHA256 (FreeBSD-8.4-RELEASE-amd64-disc1.iso) = 2fb17d77d4eba34736eb98c142c56546dd73a4e7ac38895bb6c8517949282438
SHA256 (FreeBSD-8.4-RELEASE-amd64-dvd1.iso) = 0a1acf77dee7fca7f71864e39804414ef53ad0540f2205bf0bfb954150f171f2
SHA256 (FreeBSD-8.4-RELEASE-amd64-livefs.iso) = 6c0e004556e931da711d48bd530aaf45c056e4336b15acc00495cde128d8337a
SHA256 (FreeBSD-8.4-RELEASE-amd64-memstick.img) = fe6686ce9f1c9afd3d1ee41d6c842d2173cfc8fed700fb76954fa2e2bef149cd</pre>

  <pre xml:space="preserve">MD5 (FreeBSD-8.4-RELEASE-amd64-bootonly.iso) = 6d0cb38073c803d5f76cdbd89e0a6f24
MD5 (FreeBSD-8.4-RELEASE-amd64-disc1.iso) = 642aba9299a30f06aca521abe0abb102
MD5 (FreeBSD-8.4-RELEASE-amd64-dvd1.iso) = c8dfd45a0b4d6afca1aa79b7374682fe
MD5 (FreeBSD-8.4-RELEASE-amd64-livefs.iso) = 72631f6b8a494390393db9f7c7a877bf
MD5 (FreeBSD-8.4-RELEASE-amd64-memstick.img) = 36823c5c2613220ebc304d2508874cf6</pre>

  <pre xml:space="preserve">SHA256 (FreeBSD-8.4-RELEASE-i386-bootonly.iso) = 8a92bea891f2e9bb3a4c8613c3e075c72491a5f3904219abea00eadf3c8d4258
SHA256 (FreeBSD-8.4-RELEASE-i386-disc1.iso) = 73ecc5ba0c36e7682c4862e7351d385e2e07bc97a09f9dff326d3cc1ec690cf8
SHA256 (FreeBSD-8.4-RELEASE-i386-dvd1.iso) = 28fcba3954f5014b67748f9870b7db9a95797a88e68956523f39dea8824fa694
SHA256 (FreeBSD-8.4-RELEASE-i386-livefs.iso) = 7ed52fd38bc399603ff2f69013df54032f44fb431bcf1cfb4e30230cd37e323b
SHA256 (FreeBSD-8.4-RELEASE-i386-memstick.img) = 071d889db802fc144c977023a94aece94dbe5a9e4019e85f7449128153110031</pre>

  <pre xml:space="preserve">MD5 (FreeBSD-8.4-RELEASE-i386-bootonly.iso) = aca12a59ee988cccd19e4835ef8e6291
MD5 (FreeBSD-8.4-RELEASE-i386-disc1.iso) = 051bfda6a9521ca950548b5449c8c5ce
MD5 (FreeBSD-8.4-RELEASE-i386-dvd1.iso) = ca3ae875d0880e6b966f8eee2b13da40
MD5 (FreeBSD-8.4-RELEASE-i386-livefs.iso) = 13ca52edd45284fb64133ceef804f890
MD5 (FreeBSD-8.4-RELEASE-i386-memstick.img) = 52affc47ba90c9fa8df823a8c8c046e0</pre>

  <pre xml:space="preserve">SHA256 (FreeBSD-8.4-RELEASE-pc98-bootonly.iso) = f88c46c223ce26146c4b82cb636fae33ff6903641ae95969f2e1e412f4ad9005
SHA256 (FreeBSD-8.4-RELEASE-pc98-disc1.iso) = 6b7a564bdf9ba3f9370df52b78a85fdbb8eb480c9baeb07dfbc6a0374a86db91
SHA256 (FreeBSD-8.4-RELEASE-pc98-livefs.iso) = 3d90e8f1aea96c4922be3aef8d2fd4ab54f07f2a30d0ae46eb29673b9db61065</pre>

  <pre xml:space="preserve">MD5 (FreeBSD-8.4-RELEASE-pc98-bootonly.iso) = 8303bbf3b80a90e82fcee3e9280d297a
MD5 (FreeBSD-8.4-RELEASE-pc98-disc1.iso) = a95bd4331afa524fc57ca9606893a814
MD5 (FreeBSD-8.4-RELEASE-pc98-livefs.iso) = af6e0c5fee2ca6cf1f5b849fe4a2abb2</pre>

  </div>
          <br class="clearboth" />
        </div>
        
++++

